Summary:	Utilities for working with md5sum implanted in ISO images
Name:		isomd5sum
Version:	1.1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Archiving/Cd burning
Url:		https://github.com/rhinstaller/isomd5sum
Source0:	https://github.com/rhinstaller/%{name}/archive/%{version}.tar.gz
BuildRequires:	popt-devel
BuildRequires: python2-devel python3-devel

%description
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%package devel
Summary: Development headers and library for using isomd5sum 
Group: Development/C
Requires: %{name} = %{version}

%description devel
This contains header files and a library for working with the isomd5sum
implanting and checking.

%package -n python-isomd5sum
Summary: Python bindings for isomd5sum
Group: Development/Python

%description -n python-isomd5sum
Python bindings for isomd5sum.

%package -n python3-isomd5sum
Summary: Python bindings for isomd5sum
Group: Development/Python

%description -n python3-isomd5sum
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%prep
%setup -q

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
CFLAGS="$RPM_OPT_FLAGS -Wno-strict-aliasing"; export CFLAGS
PYTHON=%{__python2} make checkisomd5 implantisomd5 pyisomd5sum.so

pushd %{py3dir}
PYTHON=%{__python3} make checkisomd5 implantisomd5 pyisomd5sum.so
popd

%install
PYTHON=%{__python2} make DESTDIR=$RPM_BUILD_ROOT install-bin install-devel install-python

pushd %{py3dir}
PYTHON=%{__python3} make DESTDIR=$RPM_BUILD_ROOT install-bin install-devel install-python
popd

%files
%license COPYING
%{_bindir}/implantisomd5
%{_bindir}/checkisomd5
%{_mandir}/man*/*

%files devel
%{_includedir}/*.h
%{_libdir}/*.a

%files -n python-isomd5sum
%{python2_sitearch}/pyisomd5sum.so

%files -n python3-isomd5sum
%{python3_sitearch}/pyisomd5sum.so


%changelog
* Sat Feb 20 2016 tv <tv> 1.1.0-1.mga6
+ Revision: 972350
- use %%license
- new release
- fix URLs
- add python3 support

* Tue Feb 02 2016 umeabot <umeabot> 1.0.12-5.mga6
+ Revision: 932585
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.12-4.mga5
+ Revision: 744915
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.12-3.mga5
+ Revision: 726525
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.12-2.mga5
+ Revision: 680576
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 tv <tv> 1.0.12-1.mga5
+ Revision: 664116
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.0.10-2.mga4
+ Revision: 531284
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 1.0.10-1.mga4
+ Revision: 462802
- new version 1.0.10

  + dams <dams>
    - clean specfile

* Sat Jan 12 2013 umeabot <umeabot> 1.0.9-3.mga3
+ Revision: 354577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 1.0.9-2.mga3
+ Revision: 323368
- enable python binding
- use our CFLAGS

* Fri Nov 30 2012 tv <tv> 1.0.9-1.mga3
+ Revision: 323303
- new release (drop mdv patches)
- new release
- new release
- new release
- kill %%clean

* Thu Sep 08 2011 tv <tv> 1.0.7-1.mga2
+ Revision: 141479
- new release
- include patches from mdv:
- patch 0: compile with make
- patch 1: declare variable as unused
- patch 2: disable -Werror
- imported package isomd5sum

